Subject: bug#31294: Failed building dependencies for guix.

From: Ricardo Wurmus <[email-masked]>
Date: Thu, 03 Jan 2019 23:01:41 +0100

Ludovic Courtès <[email-masked]> writes:

> [email-masked] (Ludovic Courtès) skribis:
>
>> It confirms that the bad code creates a <gexp> structure with the empty
>> list as its ‘modules’ field instead of '((guix build utils)).
>>
>> That’s clearly a Guile bug.
>
> This miscompilation issue involves “syntax parameters” (because
> ‘with-imported-modules’ uses a syntax parameter), and it very likely has
> to do with the thread-safety issue I describe here:
> <https://debbugs.gnu.org/cgi/bugreport.cgi?bug=27476#74>.

I just got this on my Fedora workstation in the office, where I use Guix
from a git checkout.  I worked around this by moving “guix/profiles.go”
out of the way.

(Some people seem to be getting this with just “guix pull” now.)

--
Ricardo